> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Order

> Place a new order.

**Note**: See the [AssetPairs](#operation/getTradableAssetPairs) endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc.




## OpenAPI

````yaml Crypto post /addOrder
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /addOrder:
    post:
      tags:
        - private
      summary: Add Order
      description: >
        Place a new order.


        **Note**: See the [AssetPairs](#operation/getTradableAssetPairs)
        endpoint for details on the available trading pairs, their price and
        quantity precisions, order minimums, available leverage, etc.
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          style: simple
          explode: false
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                pair: XXBTZUSD
                type: buy
                ordertype: limit
                price: '45000.1'
                volume: '2.1234'
                leverage: '2:1'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  descr:
                    order: buy 2.12340000 XBTUSD @ limit 45000.1 with 2:1 leverage
                    close: close position @ stop loss 38000.0 -> limit 36000.0
                  txid:
                    - OUF4EM-FRGI2-MQMWZD
      security:
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````